.container {
  position: relative;
  display: inline-block; 
}

.container img {
  display: block;
  max-width: 100%;
  height: auto;
}


.overlay-box {
  position: absolute; 
  top: 50%; 
  left: 50%; 
  transform: translate(-50%, -50%); 
  
  
  background-color: rgba(0, 0, 0, 0.5); 
  color: white; 
  padding: 20px 40px; 
  border-radius: 8px; 
  text-align: center;
}

.overlay-box p {
  margin: 0;
  font-size: 18px;
}